Package com.usatiuk.dhfs.persistence

# Interface ObjectChangelog.entries_EntryOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ObjectChangelog.entries_Entry`, `ObjectChangelog.entries_Entry.Builder`

Enclosing class:
  `ObjectChangelog`

public static interface ObjectChangelog.entries_EntryOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`PeerIdP`
`getKey()`
`.dhfs.persistence.PeerIdP key = 1;`
`PeerIdPOrBuilder`
`getKeyOrBuilder()`
`.dhfs.persistence.PeerIdP key = 1;`
`long`
`getValue()`
`int64 value = 2;`
`boolean`
`hasKey()`
`.dhfs.persistence.PeerIdP key = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasKey

boolean hasKey()
`.dhfs.persistence.PeerIdP key = 1;`

Returns:
  Whether the key field is set.

### getKey

PeerIdP getKey()
`.dhfs.persistence.PeerIdP key = 1;`

Returns:
  The key.

### getKeyOrBuilder

PeerIdPOrBuilder getKeyOrBuilder()
`.dhfs.persistence.PeerIdP key = 1;`

### getValue

long getValue()
`int64 value = 2;`

Returns:
  The value.